VERSION 5.00
Begin VB.Form frmHidden 
   ClientHeight    =   2196
   ClientLeft      =   132
   ClientTop       =   612
   ClientWidth     =   3456
   Icon            =   "frmHidden.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2196
   ScaleWidth      =   3456
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Menu mnuMain 
      Caption         =   "&Main"
      Begin VB.Menu mnuShow 
         Caption         =   "Show Log Analyzer"
      End
      Begin VB.Menu mnuSeparator 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "&Exit"
      End
   End
End
Attribute VB_Name = "frmHidden"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Const MODULE_NAME = "frmHidden"

Public m_oSysTray As New CSysTrayIcon

Private Sub Form_Load()
    On Error GoTo EH
    m_oSysTray.PopUpMessage = APP_CAPTION
    m_oSysTray.Initialize hWnd, Icon, m_oSysTray.TipText
    m_oSysTray.ShowIcon
    Left = Screen.Width * 2
    Show
    Exit Sub
EH:
    Select Case MsgBox(ERR_NUM & Hex(Err.Number) & vbCrLf & vbCrLf & _
        MODULE_NAME & ":Form_Load" & vbCrLf & Err.Description, vbCritical + vbAbortRetryIgnore)
    Case vbRetry: Resume
    Case vbIgnore: Resume Next
    End Select
End Sub

Private Sub Form_Unload(Cancel As Integer)
    On Error Resume Next
    m_oSysTray.HideIcon
End Sub

'--- messages received from try icon
Private Sub Form_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
    Dim lMsg As Long
    On Error GoTo EH
    lMsg = x / Screen.TwipsPerPixelX
    Select Case lMsg
    Case WM_MOUSEMOVE
        m_oSysTray.TipText = m_oSysTray.PopUpMessage
    Case WM_LBUTTONDOWN
    Case WM_RBUTTONUP
        frmHidden.SetFocus
        frmHidden.PopupMenu mnuMain, vbPopupMenuRightAlign Or vbPopupMenuRightButton, , , mnuShow
    Case WM_LBUTTONDBLCLK
        mnuShow_Click
    End Select
    Exit Sub
EH:
    Select Case MsgBox(ERR_NUM & Hex(Err.Number) & vbCrLf & vbCrLf & _
        MODULE_NAME & ":Form_MouseMove" & vbCrLf & Err.Description, vbCritical + vbAbortRetryIgnore)
    Case vbRetry: Resume
    Case vbIgnore: Resume Next
    End Select
End Sub

'--- messages received from name resoltion
Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Dim sName As String, sHost As String, hPtr As Long, lPtr As Long
    On Error Resume Next
    sHost = g_cPendingResolutions(Hex(KeyCode))(0)
    hPtr = g_cPendingResolutions(Hex(KeyCode))(1)
    If Err.Number = 0 And hPtr <> 0 Then
        CopyMemory lPtr, ByVal hPtr, 4
        If lPtr <> 0 Then
            sName = String(65, 0)
            CopyMemory ByVal sName, ByVal lPtr, 64
            sName = Left(sName, InStr(sName, Chr(0)) - 1)
            g_cResolutions.Remove sHost
            g_cResolutions.Add sName, sHost
            HeapFree GetProcessHeap, 0, hPtr
        End If
        g_cPendingResolutions.Remove Hex(KeyCode)
    End If
End Sub

Private Sub mnuShow_Click()
    On Error GoTo EH
    frmMain.Show
    If frmMain.WindowState = vbMinimized Then
        frmMain.WindowState = vbNormal
    End If
    frmMain.SetFocus
    Exit Sub
EH:
    Select Case MsgBox(ERR_NUM & Hex(Err.Number) & vbCrLf & vbCrLf & _
        MODULE_NAME & ":mnuShow_Click" & vbCrLf & Err.Description, vbCritical + vbAbortRetryIgnore)
    Case vbRetry: Resume
    Case vbIgnore: Resume Next
    End Select
End Sub

Private Sub mnuExit_Click()
    On Error Resume Next
    Unload frmMain
End Sub

